% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data-sbGeneal.R
\docType{data}
\name{sbGeneal}
\alias{sbGeneal}
\title{Soybean data}
\format{
a \code{RData} instance, 1 row per each child-parent relationship between soybean varieties

A data frame with 412 rows and 7 variables
}
\usage{
data(sbGeneal)
}
\description{
This data set contains soy bean genealogical information maintained by the United States Department of Agriculture to be used by plant breeders, geneticists, bioinformaticians, pathologists,and many other research workers.
}
\details{
Soybean genealogical data

This data contains information on copy number variants, single nucleotide polymorphisms, protein content, and yield, of soybeans. The available data consists of a data frame structure that contains 412 direct child-parent relationships between pairs of soybean varieties. These data were collected from field trials, genetic studies, and United States Department of Agriculture (USDA) bulletins, and date as early as the first decade of the 1900s.

\itemize{
\item child name of child soybean variety
\item devYear year child variety was introduced
\item yield protein yield
\item yearImputed whether or not the introduced year of the child variety was imputed
\item parent name of parent soybean variety
}
}
\references{
"Pedigrees of soybean cultivars released in the United States and Canada." Theodore Hyivitz, C.A. Newell, S.G. Carmer. College of Agriculture, University of Illinois at Urbana-Champaign (1977).
}
\keyword{datasets}
